---
title: AudioContext.suspend()
slug: Web/API/AudioContext/suspend
tags:
  - API
  - Audio
  - AudioContext
  - Method
  - Reference
  - Web Audio API
  - suspend
---
<p>{{ APIRef("Web Audio API") }}</p>

<p>The <code>suspend()</code> method of the {{ domxref("AudioContext") }} Interface suspends the progression of time in the audio context, temporarily halting audio hardware access and reducing CPU/battery usage in the process — this is useful if you want an application to power down the audio hardware when it will not be using an audio context for a while.</p>

<p>This method will cause an <code>INVALID_STATE_ERR</code> exception to be thrown if called on an {{domxref("OfflineAudioContext")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js notranslate">var audioCtx = new AudioContext();
audioCtx.suspend().then(function() { ... });
</pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} that resolves with void. The promise is rejected if the context has already been closed.</p>

<h2 id="Example">Example</h2>

<p>The following snippet is taken from our <a href="https://github.com/mdn/webaudio-examples/blob/master/audiocontext-states/index.html">AudioContext states demo</a> (<a href="https://mdn.github.io/webaudio-examples/audiocontext-states/">see it running live</a>.) When the suspend/resume button is clicked, the {{domxref("AudioContext.state")}} is queried — if it is <code>running</code>, <code>suspend()</code> is called; if it is <code>suspended</code>, {{domxref("BaseAudioContext.resume()", "resume()")}} is called. In each case, the text label of the button is updated as appropriate once the promise resolves.</p>

<pre class="brush: js notranslate">susresBtn.onclick = function() {
  if(audioCtx.state === 'running') {
    audioCtx.suspend().then(function() {
      susresBtn.textContent = 'Resume context';
    });
  } else if(audioCtx.state === 'suspended') {
    audioCtx.resume().then(function() {
      susresBtn.textContent = 'Suspend context';
    });
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audiocontext-suspend', 'close()')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioContext.suspend")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a></li>
</ul>
